package com.dahe.examine.adapter

import com.chad.library.adapter.base.BaseQuickAdapter
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.dahe.examine.R
import com.dahe.examine.bean.ApplyBean

/**
 * @ClassName ApplyAdapter
 * @Author 用户
 * @Date 2022/1/13 15:18
 * @Description TODO
 */
class RecordAdapter(layoutResId: Int) : BaseQuickAdapter<ApplyBean, BaseViewHolder>(R.layout.item_record) {
    override fun convert(holder: BaseViewHolder, item: ApplyBean) {
        holder.setText(R.id.tvTitle,item.enterpriseName)
            .setText(R.id.tvSqs,item.numberOfPassesRequired)
            .setText(R.id.tvSps,item.numberOfPasses)
            .setText(R.id.tvTbr,item.enterpriseContact)
            .setText(R.id.tvDh,item.enterpriseContactPhone)
            .setText(R.id.tvGjj,item.nationalClassA)
            .setText(R.id.tvCl,item.vehiclesNumber)
            .setText(R.id.tvSqsj,item.createTime)
            .setText(R.id.tvSpsj,item.updateTime)
            .setText(R.id.tvJjyy,item.remarks)
            .setGone(R.id.llJjyy,if ("1"==item.status) true else false)
            .setGone(R.id.tvTime,if ("1"==item.status) false else true)
            .setText(R.id.tvSjTitle,if ("1"==item.status) "审核时间:" else "拒绝时间:")
//            .setText(R.id.tvTime,"""${item.passUsageStartTime}至${item.passUsageEndTime}""")
            .setText(R.id.tvTime,"""${item.passUsageStartTime}""")
            .setGone(R.id.ivType,if ("0"==item.status) true else false)
            .setBackgroundResource(R.id.ivType,if ("1"==item.status) R.drawable.ok_pass else R.drawable.no_pass)
            .setText(R.id.tvType,"""(${item.chargeType})""")
            .setTextColorRes(R.id.tvType,if (item.chargeType.contains("收费")) R.color.color_down_time else R.color.color_green)
    }
}