package com.dahe.examine.net;


import com.dahe.examine.bean.AddresBean;
import com.dahe.examine.bean.ChangePwdBean;
import com.dahe.examine.bean.CheckCodeBean;
import com.dahe.examine.bean.CountBean;
import com.dahe.examine.bean.LogBean;
import com.dahe.examine.bean.UserBean2;
import com.dahe.mylibrary.net.CommonResponseBean;
import com.dahe.mylibrary.net.PagerBean;
import com.dahe.examine.BuildConfig;
import com.dahe.examine.bean.ApplyBean;
import com.dahe.examine.bean.ApplySendBean;
import com.dahe.examine.bean.BusInfoBean;
import com.dahe.examine.bean.CompanyBean;
import com.dahe.examine.bean.CompanyTypeBean;
import com.dahe.examine.bean.PassBean;
import com.dahe.examine.bean.UserBean;

import java.util.List;

import io.reactivex.rxjava3.core.Observable;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Query;


/**
 * Created by Administrator on 2018/8/8 0008.
 */

public interface Api {

    //    String BASE_URL = "https://tmstest.dahehuoyun.com/";
    String BASE_URL = BuildConfig.BASE_URL;


    //获取版本
    String VERSION = BASE_URL + "app/version";



    @POST(BASE_URL+"user/login")
    Observable<CommonResponseBean<UserBean>> log(@Query("phone") String phone,@Query("pwd") String pwd);

    @GET(BASE_URL+"app/captchaImage")
    Observable<CommonResponseBean<CheckCodeBean>> captchaImage();


    @POST(BASE_URL+"app/login")
    Observable<CommonResponseBean<UserBean>> log2(@Body LogBean logBean);

    @GET(BASE_URL+"app/getInfo")
    Observable<CommonResponseBean<UserBean2>> getInfo();



    @GET(BASE_URL+"app/apple/list")
    Observable<CommonResponseBean<PagerBean<ApplyBean>>> appleList(@Query("status") String status);



    @GET(BASE_URL+"app/apple/count")
    Observable<CommonResponseBean<CountBean>> count();

    @GET(BASE_URL+"app/apple/history/count")
    Observable<CommonResponseBean<CountBean>> historyCount();

    @GET(BASE_URL+"app/apple/history/list")
    Observable<CommonResponseBean<PagerBean<ApplyBean>>> historyList();

    @POST(BASE_URL+"app/apple/edit")
    Observable<CommonResponseBean> appleEdit(@Body ApplyBean bean);

    @GET(BASE_URL+"app/user")
    Observable<CommonResponseBean<AddresBean>> appUser(@Query("userId") String userId);





    @GET(BASE_URL+"app/pass/use/list")
    Observable<CommonResponseBean<PagerBean<ApplyBean>>> useList(@Query("useDate") String useDate);

    @GET(BASE_URL+"app/pass/use/detail/list")
    Observable<CommonResponseBean<PagerBean<ApplyBean>>> detailList(@Query("userId") String userId,@Query("chargeType") String chargeType,@Query("useDate") String useDate);



    @GET(BASE_URL+"app/pass/use/count")
    Observable<CommonResponseBean<CountBean>> useCount(@Query("userId") String userId,@Query("useDate") String useDate);

    @GET(BASE_URL+"app/pass/use/not/list")
    Observable<CommonResponseBean<List<ApplyBean>>> notList();


    @PUT(BASE_URL+"app/resetPwd")
    Observable<CommonResponseBean> changePwd(@Body ChangePwdBean bean);







    @POST(BASE_URL+"user/getSmsCode")
    Observable<CommonResponseBean> getSmsCode(@Query("phone") String phone);

    @POST(BASE_URL+"user/register")
    Observable<CommonResponseBean> register(@Body BusInfoBean bean);

    @POST(BASE_URL+"apply/list")
    Observable<CommonResponseBean<PagerBean<ApplyBean>>> applyList(@Query("updateStartTime") String updateStartTime, @Query("updateEndTime") String updateEndTime);


    @POST(BASE_URL+"apply/approval/company/list")
    Observable<CommonResponseBean<List<CompanyBean>>> companyLst();

    @POST(BASE_URL+"apply/enterprise/type/list")
    Observable<CommonResponseBean<List<CompanyTypeBean>>> typeLst(@Query("sign") String sign);

    @POST(BASE_URL+"use/of/pass/add")
    Observable<CommonResponseBean> addPass(@Body PassBean passBean);


    @POST(BASE_URL+"use/of/pass/list")
    Observable<CommonResponseBean<PagerBean<PassBean>>> passList();


    @POST(BASE_URL+"use/of/pass/count")
    Observable<CommonResponseBean<PassBean>> passCount();

    @POST(BASE_URL+"apply/count")
    Observable<CommonResponseBean<PassBean>> applyCount();

    @POST(BASE_URL+"user/phone/edit")
    Observable<CommonResponseBean> phoneEdit(@Query("phone") String phone,@Query("code") String code);

    @POST(BASE_URL+"user/resetPwd")
    Observable<CommonResponseBean> resetPwd(@Query("phone") String phone,@Query("pwd") String pwd,@Query("code") String code);


    @POST(BASE_URL+"apply/send")
    Observable<CommonResponseBean> applySend(@Body ApplySendBean passBean);

}

